## rock-master-20.06-tools-pocolog-cpp 0.20200311

=== CMakeLists.txt ===
# CMakeLists.txt has to be located in the project folder and cmake has to be
# executed from 'project/build' with 'cmake ../'.
cmake_minimum_required(VERSION 2.6)
find_package(Rock)
rock_activate_cxx11()
rock_init(pocolog_cpp 0.1)
rock_standard_layout()

=== src/CMakeLists.txt ===
find_package( Boost COMPONENTS system filesystem)
rock_library(pocolog_cpp 
    SOURCES 
        Format.cpp 
        Read.cpp 
        Write.cpp 
        Index.cpp 
        InputDataStream.cpp
        StreamDescription.cpp 
        Stream.cpp 
        LogFile.cpp 
        IndexFile.cpp 
        FileStream.cpp 
        MultiFileIndex.cpp
    HEADERS 
        FileStream.hpp 
        Format.hpp 
        Index.hpp 
        InputDataStream.hpp
        LogFile.hpp 
        MultiFileIndex.hpp
        Read.hpp 
        Stream.hpp
        StreamDescription.hpp 
        Write.hpp 
    DEPS_PKGCONFIG 
        base-types 
        typelib
    DEPS_PLAIN 
        Boost_SYSTEM Boost_FILESYSTEM)

rock_executable(indexer
    SOURCES indexer.cpp
    DEPS pocolog_cpp
    DEPS_PKGCONFIG base-types typelib
)

rock_executable(multiIndexer
    SOURCES multiIndexTest.cpp
    DEPS pocolog_cpp
    DEPS_PKGCONFIG base-types typelib
)
rock_executable(speedTest
    SOURCES speedTest.cpp
)

rock_executable(example_old
    SOURCES example_old.cpp
    DEPS pocolog_cpp
    DEPS_PKGCONFIG base-types typelib
)

=== debian/changelog ===
rock-master-20.06-tools-pocolog-cpp (0.20200311-1~buster) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-core/tools-pocolog_cpp.git
  * branch: refs/heads/master
  * commit: 8509621c7e85b41495362304c6a3202fec23e06c
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Mon, 07 Sep 2020 13:02:57 +0200

=== debian/control ===
Source: rock-master-20.06-tools-pocolog-cpp
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-20.06-base-cmake, rock-master-20.06-base-types, rock-master-20.06-typelib
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.06-tools-pocolog-cpp
Architecture: any
Depends: ${shlibs:Depends}, cmake, rock-master-20.06-base-cmake, rock-master-20.06-base-types, rock-master-20.06-typelib, ruby
Description: C++ API to read pocolog files
 This is a C++ library that allows to read pocolog files, as generated by Rock's logger component
